{ config, lib, ... }:

with lib;

mkIf (elem "zsh" config.machine.conffiles) {
  programs.zsh = {
    enable = true;
    autosuggestions.enable = true;
    syntaxHighlighting.enable = true;
    shellAliases = {
      cat = ''bat --paging=never --theme="Solarized (dark)"'';
      less = ''bat --paging=always --style=changes --color=always --theme="Solarized (dark)"'';
      ls = "exa";
      l = "exa -abgHhl@ --git --color=always --group-directories-first";
      tree = "exa --tree --color=always";
    };
    shellInit = ''
      function ll()  { exa -abgHhl@ --git --color=always --group-directories-first $@ | bat --paging=always --style=changes --color=always --theme="Solarized (dark)" }
      function lln() { exa -abgHhl@ --git --color=always --group-directories-first $@ | bat --paging=always --style=changes --color=always --theme="Solarized (dark)" -n}
    '';
    ohMyZsh = {
      enable = true;
      plugins = [ "cabal" "docker" "gitfast" "python" "pip" "sudo" "systemd" "man" ];
      theme = "gentoo";
    };
  };
}
